package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.TAExamCourseResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.enums.SemesterEnum;

import java.util.List;

/**
 * <p>
 * 考试课程维度分析表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseService extends IService<TAExamCourse> {

    /**
     * 开课课程考试总览列表接口
     *
     * @param examId
     * @param semester
     * @param schoolId
     * @return
     */
    List<TAExamCourseResult> surveyTeacherList(Long examId, SemesterEnum semester, Long schoolId);
}
